Subject: bug#62771: closed (Re: [PATCH 0/9] Add Easyeffects)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 11 Jan 2024 22:53:02 +0000

Your bug report

#62771: [PATCH 0/9] Add Easyeffects

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62771: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62771
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH 0/9] Add Easyeffects
From: Ricardo Wurmus <[email-masked]>
To: Brendan Tildesley <[email-masked]>, [email-masked]
Date: Thu, 11 Jan 2024 23:51:58 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Ricardo Wurmus <[email-masked]> writes:

> "Brendan Tildesley" <[email-masked]> writes:
>
>> It should be possible to remove the inclusion of gcc-11 as an input now that it is the default.
>> Update serd to 0.32.0
>> Update sord to 0.16.16
>> Update sratom to 0.6.16
>> Update rubber to 3.3.0
>> Update lilv to 0.24.22
>> Update lilv homepage to have .html on the end.
>> Fix typo in commit: native-search-paths]: Add lv2 nad ladspa search paths
>
> I’ve done all this and pushed to the wip-easyeffects-62771 branch.

I just merged it into the master branch.

-- 
Ricardo

Subject: [PATCH 0/9] Add Easyeffects
From: Brendan Tildesley <[email-masked]>
To: Guix Patches <[email-masked]>
Date: Tue, 11 Apr 2023 08:06:04 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I realized there was already a patch for this package here but its a bit
out of date: https://issues.guix.gnu.org/57218

I did not use package-with-c-toolchain method because it seemed to
create some weird module dependency cycle with commencement
that broke compilation, so I just added gcc-11 to inputs.

I had to update a few dependencies to get this working, and we cannot
have the latest version until GTK>=4.10 is in guix. Additionally, serd
has a test suite now but there was an error with test_quiet.py "not
existing" even though it does, so I was left stumped and disabled tests
to avoid going insane.

Also this ends up causing a webkitgtk rebuild. Hope that isn't an issue.